Bug 389451 - pciutils-devel does not provide libpci.pc file
pciutils-devel does not provide libpci.pc file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pciutils (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 356341
  Show dependency treegraph
 
Reported: 2007-11-18 11:07 EST by Dawid Gajownik
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 05:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2007-11-18 11:07:43 EST
Description of problem:
pciutils-devel does not provide libpci.pc file

Version-Release number of selected component (if applicable):
pciutils-2.2.6-3.fc8

Steps to Reproduce:
1. rpm -ql pciutils-devel | grep libpci.pc
  
Actual results:
My athcool package stopped compiling on F-7 and newer versions of Fedora.

gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables athcool.o scanpci.o -lpci -o athcool
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../libpci.a(names.o): In function
`pci_load_name_list':
(.text+0x6e8): undefined reference to `gzopen'
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../libpci.a(names.o): In function
`pci_load_name_list':
(.text+0x781): undefined reference to `gzgets'

I need to check via pkgconfig with which libraries do I need to link.

BTW PLD Linux uses "make install install-lib" instead of manually installing
each file:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SPECS/pciutils.spec
Comment 1 Frank Aisenbrey 2007-11-18 12:49:02 EST
Please check if this is connected with the problem:

For a successful build of athcool I had to install the zlib-devel package and
change line #23 in the Makefile from "LIBS    = -lpci" to "LIBS    = -lpci -lz".

Sorry, I forgot to mention this in the initial report.
Comment 2 Dawid Gajownik 2007-11-18 14:23:51 EST
(In reply to comment #1)
> For a successful build of athcool I had to install the zlib-devel package and
> change line #23 in the Makefile from "LIBS    = -lpci" to "LIBS    = -lpci -lz".

Yes, this will resolve the problem, but I would like to fix it in the proper way
:) One day pciutils may start depending on other libraries and it would break
athcool again. pkg-config is the only clean solution.

Debian devs have the same problem →
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=396640#49
Comment 3 Harald Hoyer 2007-11-19 02:12:26 EST
please report your wishes for a pkg-config file upstream. thanks
Comment 4 Robert Scheck 2007-11-19 03:38:13 EST
Harald, normally this work is job of the package maintainer - at least for the 
Fedora people ;-)
Comment 5 Dawid Gajownik 2007-11-19 12:10:03 EST
(In reply to comment #3)
> please report your wishes for a pkg-config file upstream. thanks

Why? This file is already in source tarball. It's only not included in the final
rpm. I should have been more clear in my first post, sorry.
Comment 6 Harald Hoyer 2007-11-20 05:03:50 EST
oh, wasn't aware of that :-) built in rawhide, thanks
Comment 7 Dawid Gajownik 2007-11-20 14:32:43 EST
Thanks!

Do you also plan to incorporate this fix into F-7 and F-8 branch?

Note You need to log in before you can comment on or make changes to this bug.